transform.hpp File Reference

## Typedefs

template<typename I1 , typename I2 , typename O >
using | ranges::binary_transform_result = detail::in1_in2_out_result< I1, I2, O >
template<typename I , typename O >
using | ranges::unary_transform_result = detail::in_out_result< I, O >

## Functions

template<typename I0 , typename S0 , typename I1 , typename S1 , typename O , typename F , typename P0 = identity, typename P1 = identity>
CPP_TEMPLATE_AUX_0 | ranges::b (requires ` input_iterator< I0 > &&sentinel_for< S0, I0 > &&input_iterator< I1 > &&sentinel_for< S1, I1 > &&weakly_incrementable< O > &&copy_constructible< F > &&indirectly_writable< O, indirect_result_t< F &, projected< I0, P0 >, projected< I1, P1 >>>) bbbinary_transform_result< I0
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename Rng0 , typename Rng1 , typename O , typename F , typename P0 = identity, typename P1 = identity>
CPP_TEMPLATE_AUX_0 | ranges::b (requires ` input_range< Rng0 > &&input_range< Rng1 > &&weakly_incrementable< O > &&copy_constructible< F > &&indirectly_writable< O, indirect_result_t< F &, projected< iterator_t< Rng0 >, P0 >, projected< iterator_t< Rng1 >, P1 >>>) bbbinary_transform_result< borrowed_iterator_t< Rng0 >
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 O | ranges::transform (I first, S last, O out, F fun, P proj=P{})
CPP_TEMPLATE_AUX_0 O | ranges::transform (I0 begin0, S0 end0, I1 begin1, S1 end1, O out, F fun, P0 proj0=P0{}, P1 proj1=P1{})
CPP_TEMPLATE_AUX_0 O | ranges::transform (Rng &&rng, O out, F fun, P proj=P{})
CPP_TEMPLATE_AUX_0 O | ranges::transform (Rng0 &&rng0, Rng1 &&rng1, O out, F fun, P0 proj0=P0{}, P1 proj1=P1{})
template<typename I , typename S , typename O , typename F , typename P = identity>
CPP_TEMPLATE_AUX_0 | ranges::u (requires ` input_iterator< I > &&sentinel_for< S, I > &&weakly_incrementable< O > &&copy_constructible< F > &&indirectly_writable< O, indirect_result_t< F &, projected< I, P >>>) uuunary_transform_result< I
| function template `transform`
template<typename Rng , typename O , typename F , typename P = identity>
CPP_TEMPLATE_AUX_0 | ranges::u (requires ` input_range< Rng > &&weakly_incrementable< O > &&copy_constructible< F > &&indirectly_writable< O, indirect_result_t< F &, projected< iterator_t< Rng >, P >>>) uuunary_transform_result< borrowed_iterator_t< Rng >
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.